Name:           lostlabyrinth-graphics
Version:        3.5.1
Release:        3%{?dist}
Summary:        Lost Labyrinth graphics
Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.lostlabyrinth.com/
# We use the corresponding lostlaby version, as upstreams resource
# versioning is unreliable
Source0:        http://www.lostlabyrinth.com/download/tiles_1.0.tar.gz
Source1:        license-clarification.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  elice >= 0.323-2
# for /usr/share/lostlabyrinth ownership
Requires:       lostlabyrinth

%description
Lost Labyrinth is a graphical rogue like / dungeon crawling game, with the
following (unique) features:
* Relatively short gameplay (between 10-40 Minutes)
* Very high replayability because everything is created at random!
* Many different skills to choose from (every player needs another tactic!)
* No experience gain for killing monsters (only for reaching new levels!)
* Up to 4 players at the same machine

This packages contains the necessary graphics / images for Lost Labyrinth


%prep
%setup -c -q
cp -a %{SOURCE1} .


%build
pushd tiles
lostlabyrinth_pack_graphics
popd


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/lostlabyrinth
install -m 644 graphics.pak $RPM_BUILD_ROOT/%{_datadir}/lostlabyrinth


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license-clarification.txt
%{_datadir}/lostlabyrinth/graphics.pak


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Hans de Goede <hdegoede@redhat.com> 3.5.1-1
- New upstream version 3.5.1

* Sun Sep 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 3.2.1-1
- New upstream version 3.2.1

* Sat May 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.9.0-2
- Add a text file clarifying the Lost Labyrinth license

* Sat May 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.9.0-1
- Initial Fedora Package
